Kā instalēt minimālu Ubuntu versiju

Kādu dienu emuāra lasītājs man jautāja, vai ir kāds veids, kā instalēt Ubuntu tā vienkāršākajā formā, bez visām multivides lietojumprogrammām, biroja automatizācijas utt. kas nāk pēc noklusējuma. "Ideāls" risinājums šodien ir izmantot ISO minimāls, kā paskaidrots elava sagatavotajā amatā. Tomēr, meklējot internetā, es atradu alternatīvu veidu, kā to izdarīt, kas izrādās ļoti vienkāršs. Jums vienkārši jāinstalē Ubuntu Server un pēc tam manuāli pievienojiet mūsu iecienīto darbvirsmas vidi.

Minimāla Unity instalēšana

Šī komanda instalē darbvirsmu Unity un tās vissvarīgākās atkarības, bet nekas cits.

sudo apt-get install --no-install-iesaka ubuntu-desktop

Lai redzētu, kādi pakotnes ir iekļauti šajā minimālajā instalācijā, varat izmantot šādu komandu:

 apt-cache ir atkarīgs no Ubuntu-desktop

Manā gadījumā tas atgriezās šādi:

Atkarīgs no: alsa-base, alsa-utils, anacron, at-spi2-core, baobab, bc, ca-certificate, checkbox-qt, dmz-cursor-theme, doc-base, eog, evince, file-roller, fonts- freefont-ttf, foomatic-db-compressed-ppds, foomatic-filters, gcalctool, gedit, genisoimage, ghostscript-x, gnome-control-centre, gnome-font-viewer, gnome-media, gnome-menus, gnome-power- pārvaldnieks, gnome-screenshot, gnome-session, gnome-session-canberra, gnome-system-log, gnome-system-monitor, gnome-terminal, gstreamer0.10-alsa, gstreamer0.10-plugins-base-apps, gstreamer0.10. 2-pulseaudio, gucharmap, gvfs-bin, inputattach, language-selector-gnome, libatk-adapter, libgd2-xpm, libnotify-bin, libpam-ck-connector, libpam-xdg-support, libsasl6-modules, libxp2, lightdm, nautilus, nautilus-sendto, notice-osd, openprinting-ppds, printera draiveris-pnmXNUMXppa, pulseaudio, rfkill, jūraszirgs, programmatūras centrs, software-properties-gtk, ssh-askpass-gnome, system-config-printer-gnome, ttf-dejavu-core, ubuntu-artwork, ubuntu-drivers-common, ubuntu-extras-keyrin g, ubuntu-release-upgradeader-gtk, ubuntu-settings, ubuntu-sounds, unity, unity-greeter, unzip, update-manager, update-notifier, wireless-tools, wpasupplicant, xdg-user-dirs, xdg-user- dirs-gtk, xdiagnose, xkb-data, xorg, xterm, yelp, zenity, zip

Lai pārbaudītu, kuras paketes netiks instalētas šajā "minimālajā" darbvirsmā, vienkārši palaidiet:

apt-cache parāda ubuntu-desktop | grep "iesaka"

Manā gadījumā tas atgriezās šādi:

Iesaka: acpi-support, activity-log-manager-control-centre, aisleriot, app-install-data-partner, apport-gtk, avahi-autoipd, avahi-daemon, bluez, bluez-alsa, bluez-cups, bluez- gstreamer, branding-ubuntu, brasero, brltty, cups, cups-bsd, cups-client, deja-dup, empātija, example-content, firefox, firefox-gnome-support, fonts-kacst-one, fonts-khmeros-core, fonts-lao, fonts-liberation, fonts-lklug-sinhala, fonts-nanum, fonts-sil-abyssinica, fonts-sil-padauk, fonts-takao-pgothic, fonts-thai-tlwg, fonts-tibetas-machine, gcc, gnome-accessibility-tēmas, gnome-bluetooth, gnome-disk-utility, gnome-mahjongg, gnome-orca, gnome-screensaver, gnome-sudoku, gnomine, gvfs-fuse, gwibber, hplip, ibus, ibus-gtk3, ibus- pinyin, ibus-pinyin-db-android, ibus-table, im-switch, kerneloops-daemon, landscape-client-ui-install, klēpjdators-detektors, libgail-common, libnss-mdns, libpam-gnome-keyring, libproxy1- plugin-gsettings, libproxy1-plugin-networkmanager, libqt4-sql-sqlite, libreoffice-calc, libreoffice-gnome, libr eoffice-help-en-us, libreoffice-impress, libreoffice-math, libreoffice-ogltrans, libreoffice-pdfimport, libreoffice-presentation-minimizer, libreoffice-presenter-console, libreoffice-style-human, libreoffice-writer, libwmf0.2- 7-gtk, linux-headers-generic, make, mousetweaks, nautilus-share, network-manager-gnome, network-manager-pptp, network-manager-pptp-gnome, borta, pārklājuma ritjosla, pcmciautils, plymouth-theme- ubuntu-logo, policykit-desktop-privilēģijas, printera draivera-c2esp, printera draivera-foo2zjs, printera draivera-min12xxw, printera draivera-ptouch, printera draivera-pxljr, printera draivera-sag-gdi, printera- draiveris-splix, pulseaudio-module-bluetooth, pulseaudio-module-gconf, pulseaudio-module-x11, python3-aptdaemon.pkcompat, qt-at-spi, remmina, rhythmbox, rhythmbox-plugin-magnatune, rhythmbox-ubuntuone, shotwell, vienkāršā skenēšana, sni-qt, runas dispečers, telepātija tukšgaitā, pērkona putns, pērkona putna-rūķa atbalsts, totems, totems-mozilla, pārraides-gtk, ttf-indic-fonts-core, ttf-punjabi-fonts, ttf -ubuntu-font-family, ttf-wqy-microhei, ubuntu-docs, ubuntuone-client-gnome, ubuntuone-control-panel-qt, unity-webapps-common, usb-creator-gtk, wine, whatopsie, xcursor-themes , xdg-utils, xul-ext-ubufox, xul-ext-unity

Minimāla GNOME instalēšana

Lai pievienotu "minimālo" GNOME darbvirsmu Ubuntu serverim, vienkārši izpildiet šādu komandu:

sudo apt-get install --no-install-iesaka ubuntu-gnome-desktop

Minimāla KDE instalēšana

Lai pievienotu minimālo KDE darbvirsmu:

sudo apt-get install --no-install-iesaka kubuntu-desktop

Minimāla Xfce instalēšana

Lai pievienotu "minimālo" Xfce darbvirsmu:

sudo apt-get install --no-install-iesaka xubuntu-desktop

Minimāla LXDE instalēšana

Lai pievienotu "minimālo" LXDE darbvirsmu:

sudo apt-get instalēt lubuntu-desktop

Pakete lubuntu-desktop neinstalē papildu pakotnes, tāpēc parametrs nav jānorāda –Nevietot-ieteicams.

Tagad jā, jūs nekad neesat izbaudījis ātrāku Ubuntu. Skrien, mazulīt, skrien!


Raksta saturs atbilst mūsu principiem redakcijas ētika. Lai ziņotu par kļūdu, noklikšķiniet uz šeit.

46 komentāri, atstājiet savus

Atstājiet savu komentāru

Jūsu e-pasta adrese netiks publicēta. Obligātie lauki ir atzīmēti ar *

*

*

  1. Atbildīgais par datiem: Migels Ángels Gatóns
  2. Datu mērķis: SPAM kontrole, komentāru pārvaldība.
  3. Legitimācija: jūsu piekrišana
  4. Datu paziņošana: Dati netiks paziņoti trešām personām, izņemot juridiskus pienākumus.
  5. Datu glabāšana: datu bāze, ko mitina Occentus Networks (ES)
  6. Tiesības: jebkurā laikā varat ierobežot, atjaunot un dzēst savu informāciju.

  1.   afānisks teica

    Es ilgu laiku neesmu izmantojis Ubuntu (Arch <3 haha), bet es atceros, ka serveriem un galddatoriem bija dažādi kodoli. Kaut arī pēc instalēšanas jūs, iespējams, varat izvēlēties atbilstošo, es atceros, ka stāsts bija jāinstalē no alternatīva instalācijas attēla ("Alternate" ISO), veicot pamata instalēšanu un pēc tam velkot –no-install-iesaka.

    Pēdējā laikā man šķiet, ka viņi tik un tā vairs neuzņem šāda veida attēlus ... izņemot Lubuntu (ja mana atmiņa nav slikta), tāpēc jūs vienmēr varat vilkt no turienes, lai instalētu jums visvairāk patīkamo darbvirsmu.

    1.    afānisks teica

      Jā, ir alternatīvi attēli (es zvērētu, ka to nebija kādā versijā ...):
      http://www.ubuntu.com/download/alternative-downloads

      . Vai nevarat rediģēt komentārus? 🙁

      1.    nano teica

        Protams, ja tas esmu es un jums ir tiesības to darīt: 3

    2.    vīrs teica

      ubuntu netboot attēli 30 megabaitos tagad dara to pašu, tie ļauj izvēlēties kodolu (serveri, darbvirsmu, lts utt.), Pamata instalāciju vai izvēlēties jebkuru no darbvirsmas aromātiem * buntu

      1.    Manuels de la Fuente teica

        Tas ir tas pats, ko es teicu zemāk. 😛

  2.   Manuels de la Fuente teica

    Man ir mans Ubuntu minimālajā versijā (ne tieši tā, kā teikts šajā ierakstā), jums nav jāizmanto Ubuntu Server, kā tas ir Minimālie ISO konkrēti šim nolūkam, un es esmu liecinieks tam, cik ātri un viegli tas tiek instalēts šādā veidā (pirmās saites komentāros es ievietoju to, kas mani patērē).

    REDIĢĒT: Šeit es parādīju visu informāciju par manu instalāciju -> Instalācijas žurnāls: Ubuntu 12.04 Minimal + Cinnamon 2

    1.    David Villa teica

      Paldies par minimalCD ieguldījumu; vai būs vienāda versija Debian & CentOS?

      Saglabāts 😀

      1.    Manuels de la Fuente teica

        Debian: https://www.debian.org/CD/netinst/
        CentOS (noklikšķināt uz vajadzīgās versijas, izvēlēties spoguli un meklēt ISO, kas saka Minimāls): http://wiki.centos.org/Download

    2.    oscar teica

      Ar minimālo Ubuntu versiju būs iespējams instalēt Lxqt no EPL vai man būs iepriekš jāinstalē Lxde?

      1.    Manuels de la Fuente teica

        Kāpēc jums iepriekš vajadzēja LXDE?

    3.    izmantosim linux teica

      Interesanti! Es nezināju par minimālo ISO. Labs randiņš! Paldies!

  3.   krauklis291286 teica

    Vai to var izdarīt Mint 17 ????

    1.    Manuels de la Fuente teica

      Linux Mint nav minimālās versijas, taču jūs varat izmantot Ubuntu 14.04 un tajā ievietot Mint 17 krātuves, rezultāts būs tieši tāds pats. Tas ir tikai jautājums, kā to pievienot /etc/apt/sources.list:

      deb http://packages.linuxmint.com qiana main upstream import #id:linuxmint_main

      Atjauniniet un instalējiet GPG parakstus:

      sudo apt-get update
      sudo apt-get install linuxmint-keyring

      Y voila, tā kļūst par Linux Mint, un tagad jūs varat instalēt kanēli vai MATE (kaut arī bez parametra –no-install-iesaka, kā teikts šajā ierakstā).

  4.   Huans teica

    MinimalCD ir labākā atbilde. pēdējais punkts

  5.   nano teica

    Ir labi eksperimentēt un kaut ko veidot jums, lai gan, ja to konfigurēšana prasīs kādu laiku, galvenokārt kodeku problēmas, noteikti kāda dumja problēma radīs xD

    1.    Manuels de la Fuente teica

      Jūs instalējat VLC, un viss.

      1.    David Villa teica

        Paldies par padomu vēlreiz, bet tagad no CentOS & Debian

        Salvdos !!!

    2.    3000 teica

      Jā, un visizplatītākā ir nespēja skatīties DVD filmas. Tāpēc daudzi izvēlas instalēt VLC.

      1.    Manuels de la Fuente teica

        VLC FTW

      2.    Huans teica

        DVD, vai šis formāts joprojām tiek izmantots? haha

      3.    92 teica

        smplayer un vairs nav runas.

  6.   Makubex Uchiha teica

    interesanti che, to var instalēt ubuntu minimal, izmantojot wifi, vai var tikai ar ethernet?

    1.    3000 teica

      Jā, jūs varat izmantot WiFi, ja vien LiveCD to atpazīst (vai, ja jums, protams, ir programmaparatūra).

      1.    Makubex Uchiha teica

        Paldies vīriešiem 😀

  7.   kik1n teica

    Lieliski tssss, tāpēc, ja es pārinstalēju Ubuntu ar mate vai kanēli 😀

    1.    3000 teica

      PFFFFFFFFFFF ...

      Es instalēju Ubuntu tikai ar GNOME Classic ar šo metodi (un augšpusē teksta režīmā).

      1.    izmantosim linux teica

        Lieliski!

      2.    kik1n teica

        Haha, nē, man labāk patīk Xfce, vai mēģiniet instalēt Ubuntu ar Unity, bet padariet to vieglāku 😀

  8.   Huans Kvips teica

    Es uzskatu, ka tas nav veids, kā instalēt minimālāko Ubuntu versiju. Tas ir minimālākais veids, kā instalēt Ubuntu ... https://blog.desdelinux.net/configurar-ubuntu-12-0412-10-mas-rapido-y-estable/

    1.    petercheco teica

      Paldies

  9.   petercheco teica

    Jūs aizmirstat svarīgu:

    sudo apt-get instalēt ubuntu-gnome-desktop

    1.    izmantosim linux teica

      Paldies! Es jau atjaunināju ierakstu.

      1.    petercheco teica

        Laipni lūdzam 😀

  10.   dunter teica

    Tā vietā, lai "apt-cache parādītu ubuntu-desktop | grep iesaka »jūs varat saglabāt grep un rīkoties šādi:

    apt-cache ir atkarīgs no Ubuntu-desktop

    1.    izmantosim linux teica

      Paldies! Es jau atjaunināju ierakstu.

  11.   Gabriel teica

    Interesants fakts, ka es nekad nebiju domājusi darīt kaut ko tādu ar Ubuntu 😀 Parasti man patīk pielāgot savu datoru un tam es izmantoju Arch, bet man vienmēr ir kāds cits ar Ubuntu, lai normāli cilvēki varētu izmantot 😀, un man tas vienmēr šķiet mazliet kaitinoši lietojumprogrammu daudzums, ko Ubuntu instalē pēc noklusējuma, es domāju, ka tas ir labs risinājums, lai gan man patika minimālais ISO, ko viņi tur komentēja.

  12.   mmm teica

    Sveiki. Liels paldies. Patiesība ir tāda, ka tas rada vēlmi veikt minimālu instalēšanu. Un mani interesēja minimalCd. Bet man radās šīs problēmas:
    ... .. man nav iespējas izveidot savienojumu pa kabeli, tikai ar wifi palīdzību ... un šķiet, ka minimCd nedod wifi draiverus ...

    Izdomātais risinājums ir lejupielādēt wifi caur vienu mašīnu (man ir divas) un koplietot internetu caur eth0 ... tas ir, pāriet no wifi uz kabeli ...

    Vai kāds varētu man pateikt, kā? Es meklēju, un nekas ... jūs esat laipni gaidīti ...

    1.    mmm teica

      Es pats sev atbildu, ja kādam tas der ... es to vēl neesmu izmēģinājis, tas ir vienkārši, cerēsim, ka tas izdosies.

      http://freelnxers.wordpress.com/2009/08/17/compartir-internet-wifi-mediante-ethernet-en-ubuntu/

      http://www.espaciolinux.com/foros/redes-servidores/como-compartir-internet-wireless-por-ethernet-tutorial-t49914.html

      Sveiciens visiem

      1.    mmm teica

        Pārbaudīts un tas darbojas, jā, viss, kas jums jādara, ir jādara tas tīkla pārvaldniekā, dodieties uz vadu tīklu un iestatiet to koplietošanai ... ah! un viņu izmantotajam kabelim jābūt tiešam.

        Kas attiecas uz to, ko tu man saki elav, es iedomājos, ka jā ar opciju «# Tīkla tilts ar koplietojamu internetu» ... Es iedomājos ...

  13.   eņģeļu asmens teica

    Ir vērts pievienot mapē /etc/apt/apt.conf

    APT :: Install-iesaka "nepatiesu";
    APT :: Install-Suggest "false";

  14.   mmm teica

    Che un vēl viens vaicājums ... salīdzinot minimālo CD ar šo http://www.ubuntu-mini-remix.org/…. vai ir atšķirība ??? Papildus tam, ko es iedomājos, pēc noklusējuma instalējat vienotību ... jo es domāju, piem. jums jāinstalē skaņa uz minimālo CD ... ka acīmredzot es to instalēšu ... vai kāds zina?
    Sveicieni

    1.    mmm teica

      Ai ...

      Ubuntu Mini Remix satur:
      - ubuntu-minimal (šī ir metapakete, detaļas http://tinyurl.com/2cpw6o)
      - ubuntu standarts (šī ir metapakete, sīkāka informācija http://tinyurl.com/323nu8)
      - casper
      - lupīna kaspera

      Sveicieni

  15.   izmantosim linux teica

    Jā ... kā jau teicu ieraksta sākumā, tā, iespējams, ir labākā alternatīva. 🙂

  16.   Džonatans Diazs teica

    Tikai to, ko es meklēju !!